commit:     4bef53b8d4fbfe6fe1fe9637246103b4f060422a
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  9 05:39:56 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Apr  9 06:01:29 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4bef53b8

dev-python/jupyterlab: Bump to 4.1.6

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/jupyterlab/Manifest                |  1 +
 dev-python/jupyterlab/jupyterlab-4.1.6.ebuild | 80 +++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 6777ede09df1..d9b5563f4be6 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -1 +1,2 @@
 DIST jupyterlab-4.1.5.tar.gz 21797132 BLAKE2B 
f3bb8d2292cfa60392b7e97b7852479767e831c4131e1980deaedbf03332d2fec2f01f3e7a6c0f830528e1d99a77f6092a83eb5303d955165946199aed885ffd
 SHA512 
ddd43d5cf7f3ffe18e3baa846270a61a1c5d588901dcc70a32d30ade29273e9c6975640aa89bc9daf58b7fdfc1eeff2f10a9b3f5d174141cbb13a2622579c15e
+DIST jupyterlab-4.1.6.tar.gz 21773628 BLAKE2B 
b2855ecc4fa0cc892fab9bb79c19a3cec0ea577c9c490571ad4028e9fe35bca87fc61d0035cc889bee14313475825344e1cea69f34af4a908c5d2a304250d983
 SHA512 
b895aac68c6df3affb47eaebc243ecf7d778228a5adec8b8a047783e341008ab4beb0fe50b92138f765e7a72acfbe906f63f41aebe1a72544fe3030105d52716

diff --git a/dev-python/jupyterlab/jupyterlab-4.1.6.ebuild 
b/dev-python/jupyterlab/jupyterlab-4.1.6.ebuild
new file mode 100644
index 000000000000..46f511433227
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.1.6.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+       https://jupyter.org/
+       https://github.com/jupyterlab/jupyterlab/
+       https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       dev-python/async-lru[${PYTHON_USEDEP}]
+       >=dev-python/httpx-0.25.0[${PYTHON_USEDEP}]
+       >=dev-python/ipykernel-6.5.0[${PYTHON_USEDEP}]
+       >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+       dev-python/jupyter-core[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+       >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+       <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+       >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+       <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+       >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+       dev-python/packaging[${PYTHON_USEDEP}]
+       $(python_gen_cond_dep '
+               >=dev-python/tomli-1.2.2[${PYTHON_USEDEP}]
+       ' 3.10)
+       >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+       dev-python/traitlets[${PYTHON_USEDEP}]
+       net-libs/nodejs
+"
+
+BDEPEND="
+       dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+       test? (
+               dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+               >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+               dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+               dev-python/pytest-timeout[${PYTHON_USEDEP}]
+               dev-python/requests[${PYTHON_USEDEP}]
+               dev-python/requests-cache[${PYTHON_USEDEP}]
+               dev-python/virtualenv[${PYTHON_USEDEP}]
+       )
+"
+
+EPYTEST_DESELECT=(
+       # These tests call npm and want internet
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+       
jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+       jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+       jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+       jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme 
dev-python/myst-parser
+
+python_install_all() {
+       distutils-r1_python_install_all
+       mv "${ED}/usr/etc" "${ED}/etc" || die
+}

Reply via email to